2001-12-01  Fumitoshi UKAI  <ukai@debian.or.jp>

	* config.h.dist: updated

2001-11-30  Fumitoshi UKAI  <ukai@debian.or.jp>

	* url.c (otherinfo): use AcceptLang
	* rc.c (sync_with_option): initialize AcceptLang

2001-11-30  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02599]
	* main.c comment reformat

2001-11-30  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02598]
	* url.c (otherinfo): add missing NULL

2001-11-30  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02597] (based on [w3m-dev 02594] by aito@fw.ipsj.or.jp)
	* fm.h (AcceptLang): added
	* fm.h (AcceptMedia): added
	* rc.c (CMT_ACCEPTENCODING): added
	* rc.c (CMT_ACCEPTMEDIA): added
	* rc.c (params9): add accept_encoding, accept_media
	* rc.c (sync_with_option): initialize AcceptEncoding and AcceptMedia
	* url.c (otherinfo): use Strcat_m_charp()

2001-11-30  aito@fw.ipsj.or.jp

	* [w3m-dev 02594]
	* configure: s/dcode/display_code/

2001-11-30  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02596]
	* file.c (acceptableEncoding): fix segfault if no decoder found

2001-11-30  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02595]
	* file.c (compression_decoder): add encodings
	* file.c (readHeader): use compression_decoder->encodings

2001-11-30  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02593]
	* form.h: comment reformat
	* matrix.c: ditto
	* menu.c: ditto
	* regex.c: ditto
	* table.h: ditto
	* terms.c: ditto

2001-11-30  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02592] Accept: and AcceptEncoding:
	* url.c (otherinfo): use acceptableEncoding() acceptableMimeTypes()

	* file.c: add compression_decoder
	* file.c (check_compress): rewrite by using compression_decoder
	* file.c (compress_application_type): ditto
	* file.c (uncompressed_file_type): ditto
	* file.c (check_command): added
	* file.c (acceptableEncoding): added
	* proto.h (acceptableEncoding): ditto
	* file.c (uncompress_stream): renamed from gunzip_stream
	* file.c (uncompress_stream): rewrite by using compression_decoder
	* configure: add PATH_SEPARATOR

	* mailcap.c (extractMailcapEntry): static
	* mailcap.c (loadMailcap): static
	* proto.h (loadMailcap): removed
	* mailcap.c (acceptableMimeTypes): added
	* proto.h (acceptableMimeTypes): added

	* configure: #define USE_PATH_ENVVAR for __EMX__
	* file.c: GUNZIP_*, BUNZIP2_*, INFLATE_* removed here -> config.h
	* file.c (gunzip_stream): s/(GUNZIP|BUNZIP2|INFLATE)_CMD/\1_CMDNAME/
	* configure (config.h): GUNZIP_*, BUNZIP2_*, INFLATE_* moved here
	* fm.h (DirBufferCommand): use CGI_EXTENSION
	* fm.h (mailcap_list): removed from global -> mailcap.c
	* fm.h (UserMailcap): removed from global -> mailcap.c
	* mailcap.c: static mailcap_list
	* mailcap.c: static UserMailcap
	* proto.h (initMimeTypes): moved
	* proto.h (get_os2_dft): removed
	* rc.c (loadMimeTypes): removed here -> url.c
	* rc.c (initMimeTypes): removed here -> url.c
	* fm.h (mimetypes_list): removed from global -> url.c
	* fm.h (UserMimeTypes): removed from global -> url.c
	* url.c: static mimetypes_list
	* url.c: static UserMimeTypes
	* url.c (loadMimeTypes): moved here
	* url.c (initMimeTypes): moved here

2001-11-30  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02590]
	* main.c (_peekURL): peek URL on <input type="image">

2001-11-30  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02589]
	* rc.c (params1): remove #ifdef VIEW_UNSEENOBJECTS

2001-11-29  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02588]
	* configure: fix alarm() check

2001-11-29  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02587]
	* file.c (gunzip_stream): s/__CYGWIN__/USE_BINMODE_STREAM/

	* [w3m-dev 02586]
	* configure: typo s/_zdmachdep.c/zmachdep.c/

	* fix shadow variable
	* main.c (HTMLtagproc1): s/refresh/refresh_interval/
	* matrix.c (LUfactor): s/index/indexarray/
	* matrix.c (LUsolve): ditto
	* matrix.c (m_inverse): ditto
	* matrix.c (LUinverse): ditto
	* table.c (bsearch_2short): ditto
	* table.c (bsearch_double): ditto
	* table.c (dv2sv): ditto
	* table.c (check_cell_width): ditto
	* table.c (set_integered_width): ditto
	* table.c (set_table_width): ditto
	* table.c (check_table_height): ditto
	* ftp.c: s/ftp/current_ftp/
	* ftp.c (Ftpfclose): ditto
	* ftp.c (openFTP): ditto
	* ftp.c (closeFTP): ditto
	* ftp.c (FtpLogin): save to current_ftp
	* ftp.c (openFTP): s/realpath/realpathname/
	* ftp.c (openFTP): remove i
	
	* ftp.c (ftp_pasv): s/sin/sockaddr/
	
	* [w3m-dev 02584] code cleanup

	* linein.c (_esc): fix #ifdef EMACS_LIKE_LINEEDIT
	
	* fix shadow variables (partially)
	* version.c: s/version/w3m_version/
	* configure: ditto
	* fm.h: ditto
	* local.c (set_environ): ditto
	* main.c (fusage): ditto
	* main.c (MAIN): ditto
	* main.c (dispVer): ditto
	* rc.c (load_option_panel): ditto
	* url.c (otherinfo): ditto
	* file.c (readHeader): s/tmp/tmp2/
	* file.c (loadGeneralFile): s/tmp/cmd/
	* file.c (flushline): s/f/df/
	* file.c (doExternal): s/stat/mc_stat/
	* proto.h: ditto
	* mailcap.c (unquote_mailcap_loop): ditto
	* mailcap.c (unquote_mailcap): ditto
	* main.c (cmd_loadBuffer): s/link/linkid/
	* main.c (sig_chld): s/stat/p_stat/
	* fm.h: remove config_file
	* main.c (MAIN): s/config_file/config_filename/
	* rc.c (init_rc): ditto
	* proto.h: ditto
	* rc.c: add config_file 
	* menu.c (goem_menu): s/select/mselect/
	* menu.c (draw_menu_item): ditto
	* menu.c (select_menu): ditto
	* menu.c (goto_menu): ditto
	* menu.c (action_menu): ditto
	* menu.c (mNext): ditto
	* menu.c (mPrev): ditto
	* menu.c (mOk): ditto
	* menu.c (mSrchF): ditto
	* menu.c (mSrchB): ditto
	* menu.c (mSrchN): ditto
	* menu.c (mSrchP): ditto
	* menu.c (process_mMouse): ditto
	* menu.c (smDelBuf): ditto
	* proto.h: ditto

	* printf format
	* display.c (redrawLine): use %*ld instead of %*d

	* require parentheses
	* ftp.c (FtpLogin): add paren

	* fix variable might be clobbered by `longjmp' or `vfork'
	* file.c (loadGeneralFile): add volatile
	* file.c (loadHTMLString): ditto
	* file.c (loadBuffer): ditto
	* file.c (doExternal): ditto
	* frame.c (createFrameFile): ditto
	* main.c (srchfor): ditto
	* main.c (srchbak): ditto
	* main.c (srch_nxtprv): ditto
	* url.c (openSocket): ditto

	* fix unused variables
	* file.c (readHeader): emssg if USE_COOKIE defined
	* file.c (HTMLlineproc2body: remove tmp
	* file.c (saveBufferDelNum): remove p
	* linein.c (_esc): c2 if JP_CHARSET defined
	
	* fix uninitialized variables
	* Str.c (Sprintf): initialize p
	* buffer.c (readBufferCache): initialize prevl
	* conv.c (cConvSE): initialize ub
	* conv.c (_cConvEE): initialize ub
	* conv.c (cConvES): initialize ub
	* file.c (loadGeneralFile): initialize proc, t, prevtral, ss, realm
	* file.c (HTMLlineproc2body): initialize debug
	* file.c (HTMLlineproc0): initialize tbl_mode, tbl_width
	* file.c (loadHTMLstream): initialize prevtrap
	* file.c (loadHTMLString): initialize prevtrap
	* file.c (loadBuffer): initialize prevtrap
	* form.c (formUpdateBuffer): initialize col
	* ftp.c (openFTP): initialize pwd
	* local.c (dirBuffer): initialize nrow
	* main.c (gpm_process_mouse): initialize btn
	* menu.c (gpm_process_menu_mouse): ditto
	* menu.c (initMenu): initialize nmenu, nitem, item
	* parsetagx.c (parse_tag): initialize attr_id
	* rc.c (show_params): initialize t
	* table.c (visible_length): initialize amp_len
	* table.c (set_integered_width): initialize x
	* table.c (check_table_height): initialize space
	* table.c (renderTable): initialize vrulea, vruleb, vrulec
	* terms.c (putchars): initialize s
	* url.c (openSocket): initialize trap, result
	* url.c (openURL): initialize sslh
	
2001-11-28  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02579]
	* configure: Use environment variables CC, CFLAGS, LDFLAGS

2001-11-28  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02574] sysconfdir
	* configure: add -bindir=* -libdir=* -helpdir=* -sysconfdir=*
	* configure: add ETC_DIR
	* indep.c (w3m_etc_dir): added
	* indep.h: ditto
	* rc.c (init_rc): use etcFile() instead of libFile()
	* rc.c (etcFile): added
	* proto.h: ditto

2001-11-28  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02578]
	* file.c (process_anchor): support <input type="image">
	* html.c (ALST_INPUT): add ATTR_SRC, ATTR_WIDTH, ATTR_HEIGHT
	* html.c (MAXA_INPUT): +3
	
	* conv.c (checkShiftCode): fix comments for indent(1)
	* main.c (loadLink): ditto
	* fm.h: ditto
	* file.c (process_anchor); ditto
	* file.c (HTMLlineproc2body): ditto

2001-11-28  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>
	
	* [w3m-dev 02576]
	* url.c (openURL): remove pu->file = p; which cause segfault
	  because p is not initialized

2001-11-28  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02571] MAXPATHLEN
	* indep.c (currentdir): #ifdef MAXPATHLEN for GNU Hurd
	* configure: ditto

2001-11-27  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02572]
	* main.c (_peekURL): initialize s when anchor not found

2001-11-27  aito@fw.ipsj.or.jp
	* Error correction on doc-jp/FAQ.html

2001-11-27  sakane@d4.bsd.nes.nec.co.jp (Yoshinobu Sakane)
	* w3m-doc update.

2001-11-26  Tsutomu Okada <okada@furuno.co.jp>
	
	* [w3m-dev 02537]
	* configure: s/$def_egd/def_use_egd/

2001-11-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02556]
	* indep.c (strcasestr): strcasestr("", "") should not return NULL

	* [w3m-dev 02555]
	* configure: check strcasestr
	* fm.h (_GNU_SOURCE): requires for strcasestr()
	* indep.c (strcasestr): #ifdef HAVE_STRCASESTR
	* indep.c (strcasestr): check whether s2 is NULL
	* indep.h: add #include "config.h"
	* indep.h: #ifdef HAVE_STRCASESTR
	* indep.h: strcasestr() takes const char *

2001-11-26  Yoshinobu Sakane <sakane@d4.bsd.nes.nec.co.jp>

	* [w3m-dev 02553]
	* configure: SysV's tr requires '[a-z]' '[A-Z]'

2001-11-26  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 02547] "message/*" as a kind of text type
	* file.c (is_text_type): add message/*

2001-11-25  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 02535] Name conflicts in configure
	* configure: s/libdir/tlibdir/ for loop variables

2001-11-25  Dai Sato <satodai@dog.intcul.tohoku.ac.jp>

	* display.c: call of init_win32_console_handle is deleted

2001-11-25  Rin Okuyama <okuyama@cna.ne.jp>

	* [w3m-dev 02533] setpgrp bug in configure
	* configure: s/have_setpgrp/def_have_setpgrp/
	   s/setpgrp/def_setpgrp/

2001-11-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Makefile (indent): indent
	* run make indent

2001-11-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02530]
	* file.c (readHeader): NULL check for domain

2001-11-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02529]
	* configure (ask_choice): fix bugs
	* configure (include_opt): disable as much as if baby model
	* configure: ask/def parameter after model selected

	* fm.h (use_mark): runtime option use_mark
	* main.c (_mark): ditto
	* main.c (cmd_mark): ditto
	* main.c (nextMk): ditto
	* main.c (prevMk): ditto
	* main.c (reMk): ditto
	* rc.c (CMT_USE_MARK): ditto
	* rc.c (params3): ditto
	
	* fm.h (nextpage_topline): runtime option nextpage_topline
	* etc.c (lineSkip): ditto
	* main.c (nscroll): ditto
	* rc.c (CMT_NEXTPAGE_TOPLINE): ditto
	* rc.c (params3): ditto
	
	* fm.h (label_topline): runtime option label_topline
	* file.c (loadGeneralFile): ditto
	* main.c (loadLink): ditto
	* rc.c (CMT_LABEL_TOPLINE): ditto
	* rc.c (params3): ditto
	
	* fm.h (vi_prec_num): runtime option vi_prec_num
	* main.c (pgFore): ditto
	* main.c (pgBack): ditto
	* rc.c (CMT_VI_PREC_NUM): ditto
	* rc.c (params3): ditto

	* fm.h (emacs_like_lineedit): runtime option emacs_like_lineedit
	* linein.c (inputLineHist): ditto
	* linein.c (_esc): ditto
	* linein.c (next_dcompl): ditto
	* rc.c (CMT_EMACS_LIKE_LINEEDIT): ditto
	* rc.c (params3): ditto

	* fm.h (ftppass_hostnamegen): runtime option ftppass_hostnamegen
	* ftp.c (FtpLogin): ditto
	* rc.c (CMT_FTPPASS_HOSTNAMEGEN): ditto
	* rc.c (params9): ditto
	
2001-11-24  Akihiro Sagawa <sagawa@sohgoh.net>

	* [w3m-dev 02528] RFC2732 URL Patch
	* main.c (chkURL): check RFC2732 style URLs
	* url.c (parseURL): remove RFC2732 address check here, 
	                   move to openSocket()
	* url.c (openSocket): check RFC2732 style hostname
	* url.c (openSocket): check IPv4 address strictly

2001-11-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02526]
	* .cvsignore: add inflate mktable w3m w3mbookmark w3mhelperpanel
	   _zdmachdep.c
	* configure: 
	  pref_lang -> lang={JA|EN}
	  dcode -> display_code
	  scode -> system_code
	  remove save_params()
	  add def_param(), ask_choice() ask_param()
	  all confiration parameters can be read from config.param
	  s/DICT/USE_DICT/
	  s/BUFINFO/USE_BUFINFO/
	* fm.h: s/DICT/USE_DICT/
	* proto.h: ditto
	* doc/README.dict: ditto
	* doc-jp/README.dict: ditto
	* display.c: s/BUFINFO/USE_BUFINFO/
	* main.c: s/DICT/USE_DICT/ s/BUFINFO/USE_BUFINFO/

2001-11-24  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 02523]
	* table.c (feed_table_tag): 
	  fix problem of anchor tag with name attribute only

2001-11-23  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02511]
	* terms.c (isWinConsole): added

2001-11-22  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 02509] ([w3m-dev 02499] [w3m-dev 02508])
	* terms.c (setlinescols): initialize LASTLINE 
	* terms.c: add LASTLINE
	* fm.h: extern int LASTLINE
	* linein.c: remove defined(__CYGWIN__) && defined(JP_CHARSET)
	* main.c: remove MOUSE_* definition
	* terms.h: move MOUSE_* definition from main.c
	* terms.c: add tty
	* terms.c (check_win32_console): added
	* terms.c (init_win32_console_handle): ditto
	* terms.c (read_win32_console_input): ditto
	* terms.c (read_win32_console): ditto
	* terms.c (set_tty) add call init_win32_console
	* terms.c (getch) use read_win32_console
	* terms.c (mouse_init): check hConIn
	* terms.c (mouse_end): ditto

2001-11-22  aito@fw.ipsj.or.jp

	* [w3m-dev 02503]
	* indep.c (getescapechar): allow incomplete entity references in URL
	  closes: Debian Bug#120540

2001-11-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02506]
	* anchor.c (putHmarker): remove #ifdef __CYGWIN__ for bzero()
	* matrix.h (m_copy): ditto
	* table.c (pushTable): ditto

2001-11-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02505]
	* configure (alarm): check alarm if USE_ALARM

2001-11-22  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02501]
	* .cvsignore: add funcname.c funcname1.h funcname2.h tagtable.c
	* scripts/.cvsignore: added, dirlist.cgi
	* scripts/multipart/.cvsignore: added, multipart.cgi
	* scripts/w3mman/.cvsignore: added, w3mman w3mman2html.cgi
	* doc-jp/README.kokb: deleted
	* gc/makefile.depend: deleted

2001-11-22  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* table.c (feed_table): fix the following table
	  <table border=1><tr><td>&lt &lt;</table>

2001-11-22  WATANABE Katsuyuki <katsuyuki_1.watanabe@toppan.co.jp>

	* [w3m-dev 02497] 
	* url.c (parseURL2): fix #ifdef __EMX__ code
	* indep.c (cleanupName): remove #if 0 /* SUPPORT_NETBIOS_SHARE */ code

2001-11-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02494]
	* configure (MIME_TYPES): check if mimetypes is empty
	* configure (label_topline): add missing =
	* configure (nextpage_topline): ditto

2001-11-22  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02493]
	* scripts/multipart/Makefile: s/DISTDIR/DESTDIR/

2001-11-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02481]
	* s/BG_COLOR/USE_BG_COLOR/
	* s/ANSI_COLOR/USE_ANSI_COLOR/
	* s/COLOR/USE_COLOR/
	* s/MENU/USE_MENU/
	* s/MOUSE/USE_MOUSE/

	* [w3m-dev 02480] new configure
	* config.h.dist: updated
	* configure: $def_emacs_like_lineedit, $def_vi_prec_num
	   $def_label_topline, $def_nextpage_topline
	   $def_use_mark, $def_use_gopher, $def_use_alarm
	* configure: add --{ssl,gc}-{include,lib}dir, --mimetypes
	* configure: BoehmGC Debian hack
	* XMakefile: add $(OPTS)
	* terms.c: use HAVE_SYS_SELECT_H
	* configure: add sys/select.h detection
	* configure: no_float_h -> float_h
	* configure: add chdir() detection
	* local.c (localcgi_post): use HAVE_CHDIR instead of __EMX__
	* local.c (localcgi_get): ditto
	* main.c: <time.h> no need for #ifdef __EMX__
	   other files already do #include <time.h>

	[w3m-dev 02479]
	* rc.c (init_rc): remove #ifdef __EMX__ for tmpdir
	* config.h.dit: updated
	* url.c (openURL): use CGI_EXTENSION
	  add extlen
	* rc.c (helpFile): remove #ifdef __EMX__
	  use w3m_help_dir()
	* w3mbookmark.c (lib_dir): removed
	* w3mbookmark.c (print_bookmark_panel): use w3m_lib_dir()
	* rc.c (libFile): remove #ifdef __EMX__
	  use w3m_lib_dir() 
	* local.c (get_os2_dft): removed
	* local.c (check_local_cgi): use w3m_lib_dir() instead of lib_dir
	* local.c (cgi_filename): ditto
	* indep.c (w3m_dir): added
	* indep.c (w3m_lib_dir w3m_help_dir): ditto
	* indep.h (w3m_lib_dir w3m_help_dir): ditto
	* terms.c (set_tty): remove #ifdef __EMX__
	  use DEV_TTY_PATH
	* local.c (localcgi_get): use DEV_NULL_PATH
	* w3mhelperpanel.c (printMailcapPanal): remove #ifdef __EMX__
	  use W3mHELPERPANEL_CMDNAME
	* rc.c (optionpanel_src1): ditto
	* w3mbookmark.c (bkmark_src1): remove #ifdef __EMX__
	  use W3MBOOKMARK_CMDNAME
	* main.c (adBmark): ditto
	  use w3m_lib_dir()
	* terms.c (getTCstr): remove #ifdef __DJGPP__
	  use DEFAULT_TERM
	  check ent is NULL
	* main.c (fusage): remove #ifdef SHOW_PARAMS
	* main.c (MAIN): ditto
	* rc.c (show_params): ditto
	* fm.h (view_unseenobject): remove #ifdef VIEW_UNSEENOBJECTS
	* url.c (check_no_proxy): remove #ifdef NOPROXY_NETADDR
	* configure (show_params): removed
	* configure (config.h): 
	  - fix comment for USE_MARK
	  - add MENU_THIN_FRAME
	  - move $def_nntp (USE_NNTP), $def_ansi_color (ANSI_COLOR)
	  - remove VIEW_UNSEENOBJECTS
	  - remove $def_show_params (SHOW_PARAMS)
	  - define DEFAULT_TERM
	  - define W3MBOOKMARK_CMDNAME
	  - define W3MHELPERPANEL_CMDNAME
	  - define DEV_NULL_PATH
	  - define DEV_TTY_PATH
	  - define CGI_EXTENSION

	[w3m-dev 02478]
	* Makefile: make -> $(MAKE)
	
2001-11-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02473]
	* scripts/Makefile: chmod +x
	* scripts/Makefile: add clean target
	* scripts/multipart/Makefile: ditto
	* scripts/w3mman/Makefile: ditto
	* XMakefile: clean scripts
	* scripts/dirlist.cgi: removed from CVS
	* Makefile (install-scripts): added
	* XMakefile: (install-scripts): depends all-scripts

2001-11-21  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02470]
	* XMakefile: all of scripts are generated by this instead of configure
	* configure: add PERL, remove scripts/dirlist.cgi generation
	* config.h.dist: add PERL
	* scripts/Makefile: added
	* scripts/multipart/Makefile scripts/w3mman/Makefile:
	  new scripts generation and installation
	* scripts/multipart/README scripts/w3mman/README: update

2001-11-21  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02472] cleanup CYGWIN macro
	* display.c (displayBuffer): use __CYGWIN__ macro
	* fm.h: ditto
	* terms.c (refresh): add condition for isWinConsole which
          defined only japanese cygwin environment

2001-11-21  Akinori Ito <aito@fw.ipsj.or.jp>

	* [w3m-dev 02466]
	  Homepage URLs and author's mail addresses in the documents
	  are changed.

2001-11-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02459] 
	* XMakefile: update scripts/dirlist.cgi generation
	* scripts/multipart/multipart.cgi: removed
	* scripts/w3mman/w3mman scripts/w3mman/w3mman2html.cgi: removed
	
	* [w3m-dev 02462]
	* scripts/dirlist.in scripts/dirlist.cgi: removed
	* scripts/dirlist.cgi.in: added

2001-11-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* add rcsids

2001-11-21  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02454]
	* buffer.c (newBuffer): set COLS
	* display.c (displayBuffer redrawLine redrawLineRegion
	    cursorRight arrangeCursor cursorXY): 
	  new showLineNumber implementation
	* main.c (ctrCsrH shiftvisualpos shiftl shiftr _movL _movR
	   _followForm follow_map process_mouse):
	  use buf->COLS, buf->rootX
	* menu.c (popupMenu mainMn initSelectMenu):
	  use buf->rootX
	* etc.c (columnSkip): use buf->COLS
	* file.c (HTMLlineproc2body loadBuffer saveBufferDelNum getNextPage)
	  remove old showLineNumber codes
	* fm.h (Buffer): add rootX, COLS

2001-11-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* XMakefile (clean): rm tagtable.c
	* .cvsignore: XXMakefile config.h config.param

2001-11-20  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02455]
	* XMakefile.dist deflate.c: removed, not used
	* tagtable.c: removed, autogenerated files
	* XMakefile (mktable w3mbookmark w3mhelperpanel): use LIBS2
	* configure: add $bsdlib

2001-11-20  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* frame.c (newFrameSet): fix possible buffer overrun

2001-11-20  Fumitoshi UKAI  <ukai@debian.or.jp>

	* XXMakefile config.h: removed from CVS
	  these are autogenerated files.
	  config.h is moved to config.h.dist as sample config file.

2001-11-20  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02449]
	* file.c (HTMLtagproc1): reimplement meta refresh with
          setAlarmEvent()
	* fm.h: put back alarm related variables to main.c
          add alarm related status flags
	* main.c: put back alarm related variables from fm.h
          alarm_once was renamed alarm_status
          add alarm_buffer and setAlarmEvent()
	* main.c (MAIN): cancel the alarm event if the buffer was
          changed
	* main.c (SigAlarm): ditto
	* main.c (setAlarm): use setAlarmEvent()
	* proto.h: add setAlarmEvent()

2001-11-20  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3mhelperpanel.c (extractMailcapEntry): remove unused variables
	* istream.c (StrISgets): add parentheses around assignment used 
	  as truth value
	
	* XMakefile (clean): remove funcname.c funcname1.h funcname2.h
	  these are autogenerated files.
	* funcname.c funcname1.h funcname2.h: removed from CVS

	* main.c (MAIN): add braces to avoid ambiguous `else'
	* main.c (set_buffer_environ): remove unused variables
	* linein.c (_rcompl): not EMACS_LIKE_LINEEDIT only
	* local.c (localcgi_get): remove unused variables
	* mailcap.c (unquote_mailcap_loop): remove unused variables
	* url.c (init_PRNG) add parentheses around assignment used as true value
	* url.c (parseURL): remove unsed label
	* url.c (parseURL2): remove unused variables
	* ftp.c (ftp_escape_str ftp_restore_str): remove not used functions
	* indep.c (getescapechar): remove unused variable
	
	* proto.h: add missing prototypes

2001-11-20  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 02447]
	* terms.c (skip_escseq): is_xterm && ESC [ M <ch> <ch> <ch>

2001-11-20  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02448]
	* terms.c (mouse_init): Gpm_Close() is required.
	  closes: Debian Bug#120221: w3m-ssl: trashes terminal on exit

2001-11-20  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 02444]
	* XMakefile (funcname1.h funcname2.h): sort as well as funcname.c

2001-11-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02439]
	* terms.c (xterm_mouse_term set_tty): add cygwin as xterm-style
	  mouse terminal

2001-11-19  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 02436] 
	* main.c (GetWord): closes: #482763 segmentation fault in main.c

2001-11-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* gc/.cvsignore:
	  remove gctest, if_mach, if_not_there, threadlibs
	  closes: #482765 i386 binaries in gc directory

2001-11-17  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02432]
	* configure: follow autoconf conventions
	  STRCASECMP -> HAVE_STRCASECMP
	  STRCHR -> HAVE_STRCHR
	  STRERROR -> HAVE_STRERROR
	  SYS_ERRLIST -> HAVE_SYS_ERRLIST
	  NOBCOPY -> HAVE_BCOPY
	  GETCWD -> HAVE_GETCWD
	  GETWD -> HAVE_GETWD
	  READLINK -> HAVE_READLINK (HAVE_LSTAT?)
	  TERMIO -> HAVE_TERMIO_H
	  TERMIOS -> HAVE_TERMIOS_H
	  SGTTY -> HAVE_SGTTY_H
	  DIRENT -> HAVE_DIRENT_H
	  NO_FLOAT_H -> HAVE_FLOAT_H
	* etc.c fm.h config.h: HAVE_STRCASECMP
	* etc.c config.h file.c: HAVE_STRCHR
	    strchr() moved from file.c to etc.c
	* etc.c config.h: HAVE_STRERROR
	* etc.c config.h main.c (MAIN): HAVE_SYS_ERRLIST
	* etc.c fm.h: HAVE_BCOPY
	* etc.c indep.c (currentdir) config.h: HAVE_GETCWD
	* indep.c (currentdir) config.h: HAVE_GETWD
	* form.c (form_write_from_file) local.c (dirBuffer) 
	  config.h: HAVE_READLINK
	* config.h terms.c: HAVE_TERMIO_H, HAVE_TERMIOS_H, HAVE_SGTTY_H
	* config.h local.h: HAVE_DIRENT_H
	* config.h matric.c: HAVE_FLOAT_H

	* anchor.c cookie.c file.c parsetagx.c regex.c table.c url.c: 
	  remove include <strings.h> ifdef __EMX__
	   it will be included in fm.h
	* frame.c: remove include <strings.h> for bzero() and bcopy()
	    these are declared in fm.h
	* indep.c: remove include <strings.h> for bcopy()
	    this is declared in fm.h
	* istream.c mailcap.c: remove include <strings.h> for bzero()
	    this is declared in fm.h
	* parsetag.c: remove include <strings.h> for bzero()
	    no bzero() used in this file

	* [w3m-dev 02431]
	* terms.c (set_tty): "rxvt" is xterm
	  (getTCstr): tgetstr("Km", &pt) is not xterm, removed
	  (mouse_init): check Gpm_Open() == -2 to detect xterm when USE_GPM

2001-11-16  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02418]
	* main.c (chkURL): add mailto: like pattern to mark as anchor
	* search.c (forwardSearch): check whether currentLine is NULL 
	* search.c (backwardSearch): ditto

2001-11-16  Dai Sato  <satodai@dog.intcul.tohoku.ac.jp>

	* [w3m-dev-en 00641] Re: w3m-0.2.1-inu-1.6
	* configure: add some dirs for zlib and mime.types

2001-11-16  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 02417]
	* terms.c (mouse_init): fix mouse handling on TERM=linux
	   if Gpm_Open() successed, set is_xterm = 0 so that 
	   w3m uses gpm functions.

2001-11-16  Tsutomu Okada <okada@furuno.co.jp>

	* [w3m-dev 02408] meta refresh
	* file.c (HTMLtagproc1): 
	   use MetaRefresh
	   add case refresh > 0
	* fm.h: 
	   add MetaRefresh
	   move alarm related definition from main.c
	* main.c: 
	   move alarm releated definition to fm.h
	   (SigAlarm): alarm_once
	* rc.c: 
	   add CMT_META_REFRESH

	* [w3m-dev 02415] 
	* file.c (loadHTMLBuffer): 
	  pushText() to clean up temporary files

	* [w3m-dev 02414]
	* file.c (loadHTMLstream): 
	  SETJMP and signal after buffer is initialized

	* [w3m-dev 02413] 
	* main.c (reMark): 
	  don't save invalid regexp to MarkString

2001-11-15  aito@eie.yz.yamagata-u.ac.jp

	* release-0-2-2
	* Update to w3m-0.2.1-inu-1.6
	
2001-11-09  aito@eie.yz.yamagata-u.ac.jp

	* release-0-2-1-inu-1-5
	* Updates from 0.2.1 into 0.2.1-inu-1.5
	
2001-11-08  aito@eie.yz.yamagata-u.ac.jp

	* release-0-2-1
	* import w3m-0.2.1

